<div class="ch-container">
  <div class="container">
    <ch-spinner [isRunning]="isRequesting" delay="0"></ch-spinner>
    <div id="background"></div>

    <div class="row justify-content-center">
      <div class="col col-sm-8">
        <h5>{{'PROFILE.TITLE' | translate | uppercase}}</h5>
      </div>
    </div>
    <div class="row justify-content-center">
      <div class="col col-sm-8">
        <div class="ch-background-trans"></div>
        <div class="profile-container">
          <ch-message-alert [message]="message"></ch-message-alert>
          <!-- Profile -->
          <ch-profile [profile]="profile" (isRequesting)="request($event)" (message)="getMessage($event)"></ch-profile>
          <!-- end Profile -->
          <hr>
          <!-- Email -->
          <ch-email [user]="user" (isRequesting)="request($event)" (message)="getMessage($event)"></ch-email>
          <!-- end Email -->
          <hr>
          <!-- Password -->
          <ch-password [user]="user" (isRequesting)="request($event)" (message)="getMessage($event)"></ch-password>
          <!-- end Password -->
          <hr>
          <div class="date-container">
            <p>{{'PROFILE.CREATED' | translate}}:
              <span>{{user.createdAt | date: 'longDate'}}</span>,
              <span>{{user.createdAt | date: 'shortTime'}}</span></p>
            <p>{{'PROFILE.UPDATED' | translate}}:
              <span>{{user.updatedAt | date: 'longDate'}}</span>,
              <span>{{user.updatedAt | date: 'shortTime'}}</span>
            </p>
          </div>
        </div><!-- end rofile-container -->
      </div>
    </div>
  </div>
</div>
